/*
  2_sensorVoltage

  Designed for use with a Vernier analog sensor reading from pin A0.
  Sensor reading converted to voltage assuming 5V sensor input.
  
*/

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
}

// the loop routine runs over and over again forever:
void loop() {
  float sensorVoltage; // declares a variable named sensorVoltage
  // read the input on analog pin 0:
  int sensorValue = analogRead(A0);
  sensorVoltage = sensorValue * 5.0 / 1023;// Converts the count to the sensor voltage
  // print out the value you read:
  Serial.println(sensorVoltage);
  delay(500);        // delay in between reads in milliseconds
}
